cordova.define("cordova-plugin-push.Push", function(require, exports, module) {
/*
Copyright 2020. Huawei Technologies Co., Ltd. All rights reserved.

	 Licensed under the Apache License, Version 2.0 (the "License");
	 you may not use this file except in compliance with the License.
	 You may obtain a copy of the License at

	 http://www.apache.org/licenses/LICENSE-2.0

	 Unless required by applicable law or agreed to in writing, software
	 distributed under the License is distributed on an "AS IS" BASIS,
	 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	 See the License for the specific language governing permissions and
	 limitations under the License.
*/

var exec = cordova.require("cordova/exec");

if (typeof module != "undefined" && module.exports) {

	exports.hw_getToken = function(arg0, success, error) {
		exec(success, error, "HMSPush", "getToken", [arg0]);
	};

	exports.mi_init = function(arg0, success, error) {
		exec(success, error, "MiPush", "init", [arg0]);
	};

	exports.oppo_init = function(arg0, success, error) {
		exec(success, error, "OPPOPush", "init", [arg0]);
	};
	exports.oppo_requestNotificationPermission = function(arg0, success, error) {
		exec(success, error, "OPPOPush", "requestNotificationPermission", [arg0]);
	};
	
	exports.vivo_init = function(arg0, success, error) {
		exec(success, error, "vivoPush", "init", [arg0]);
	};
	
	exports.apple_init = function(arg0, success, error) {
		exec(success, error, "ApplePushPlugin", "init", [arg0]);
	};

	exports.apple_requestAuthorizationWithOptions = function(arg0, success, error) {
		exec(success, error, "ApplePushPlugin", "requestAuthorizationWithOptions", [arg0]);
	};

	exports.apple_getsetting = function(arg0, success, error) {
		exec(success, error, "ApplePushPlugin", "getsetting", [arg0]);
	};

	exports.ping = function(ipList, success, error){
		exec(success, error, "Ping", "getPingInfo", ipList);
	};

	exports.checkNotificationPermission = function(success, error) {
		exec(success, error, "NotificationPermission", "checkPermission", []);
	};
	exports.requestNotificationPermission = function(success, error) {
		exec(success, error, "NotificationPermission", "requestPermission", []);
	};
}

});
